Subject: [CCAMP] FW: I-D Action: draft-ietf-ccamp-general-constraint-encode-09.txt

From: Leeyoung <[email-masked]>
Date: Thu, 27 Sep 2012 16:58:42 +0000

Hi

This update reflects all the agreements made since the last IETF meeting. 
Among the changes made in this version are:

- Switching Capability and Encoding applied to all sub-cases for Port
   Label Restriction sub-TLV in Section 2.6. (per Rajan's input)

- Eliminated A (Availability) Bit from Available Labels Sub-TLV and
   Shared Backup Labels Sub-TLV. (Per Rajan's input)

- Added Appendix for illustration of how to use Priority Flags (per Giovanni's input)
- Priority bit remains 8 bits to be consistent with TDM, PSC encoding (e.g., RFC 4090, etc.)

As Greg indicated, this draft is ready to WG LC. 

Thanks.
Young

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, September 27, 2012 11:42 AM
To: [email-masked]
Cc: [email-masked]
Subject: [CCAMP] I-D Action: draft-ietf-ccamp-general-constraint-encode-09.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Common Control and Measurement Plane Working Group of the IETF.

	Title           : General Network Element Constraint Encoding for GMPLS Controlled Networks
	Author(s)       : Greg M. Bernstein
                          Young Lee
                          Dan Li
                          Wataru Imajuku
	Filename        : draft-ietf-ccamp-general-constraint-encode-09.txt
	Pages           : 31
	Date            : 2012-09-27

Abstract:
   Generalized Multiprotocol Label Switching can be used to control a
   wide variety of technologies. In some of these technologies network
   elements and links may impose additional routing constraints such as
   asymmetric switch connectivity, non-local label assignment, and
   label range limitations on links.

   This document provides efficient, protocol-agnostic encodings for
   general information elements representing connectivity and label
   constraints as well as label availability. It is intended that
   protocol-specific documents will reference this memo to describe how
   information is carried for specific uses.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-general-constraint-encode

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ccamp-general-constraint-encode-09

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-general-constraint-encode-09

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp

---

From: Leeyoung <[email-masked]>
Date: Fri, 28 Sep 2012 16:14:05 +0000

Hi Remi,

Thanks for your input.

Please see inline for my comment.

Best Regards,
Young

From: Remi Theillaud [mailto:[email-masked]]
Sent: Friday, September 28, 2012 8:27 AM
To: Leeyoung
Cc: Greg Bernstein; Bruno Cabon
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-general-constraint-encode-09.txt

Young,

Version -09 has not fixed the typo I reported earlier this week (minor issue anyway):

  *   There is a typo in section 2.6.5: the first sentence says "In the case of the SIMPLE_LABEL & CHANNEL_COUNT the format is given by:". I believe it should say "In the case of the LINK_LABEL_EXCLUSIVITY the format is given by:"

YOUNG>> Yes, I agree and will correct this in v10.
Another typo I believe:

  *   In section 2.1 (Link Set Field). This section assigns value 1 to "Inclusive Range" (Action field). Note that this is not really consistent with the value assigned to "Inclusive Range" (which is 2) for Label Set and RB Set (this one in draft-ietf-ccamp-rwa-wson-encode-17.txt). The true problem is that the text in section 2.1 says "Note that the Action field can
   be set to 0x02(Inclusive Range) only when unnumbered link identifier
   is used.
". It should says "... can be set to 0x01 (Inclusive Range) only ..."
YOUNG>> Yes, I agree. I can change "Inclusive Range" to be 1 in WSON-encoding (v.18) to be consistent with Generic-encoding and change the set value for this to be 0x01... in Generic Encoding (v10). Would this make you happy?
Regards,
Remi
-------- Original Message --------
Subject: [CCAMP] FW: I-D Action: draft-ietf-ccamp-general-constraint-encode-09.txt
From: Leeyoung <[email-masked]><mailto:[email-masked]>
To: CCAMP <[email-masked]><mailto:[email-masked]>
Date: 27/09/2012 18:58

Hi

Thanks.

Young

-----Original Message-----

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>

To: [email-masked]<mailto:[email-masked]>

Cc: [email-masked]<mailto:[email-masked]>

                          Young Lee

                          Dan Li

                          Wataru Imajuku

  Pages           : 31

  Date            : 2012-09-27

Abstract:

CCAMP mailing list

[email-masked]<mailto:[email-masked]>

CCAMP mailing list

[email-masked]<mailto:[email-masked]>

.

---

From: Rémi Theillaud <[email-masked]>
Date: Fri, 28 Sep 2012 22:00:59 +0200

Hi Young,

That would work for me, thanks.

Best regards,
Remi
________________________________________
From: Leeyoung [[email-masked]]
Sent: Friday, September 28, 2012 6:14 PM
To: Rémi Theillaud
Cc: Greg Bernstein; Bruno Cabon; CCAMP
Subject: RE: [CCAMP] FW: I-D    Action: draft-ietf-ccamp-general-constraint-encode-09.txt

Hi Remi,

Thanks for your input.

Best Regards,
Young

Young,

 *   In section 2.1 (Link Set Field). This section assigns value 1 to "Inclusive Range" (Action field). Note that this is not really consistent with the value assigned to "Inclusive Range" (which is 2) for Label Set and RB Set (this one in draft-ietf-ccamp-rwa-wson-encode-17.txt). The true problem is that the text in section 2.1 says "Note that the Action field can
   be set to 0x02(Inclusive Range) only when unnumbered link identifier
   is used.
". It should says "... can be set to 0x01 (Inclusive Range) only ..."
YOUNG>> Yes, I agree. I can change “Inclusive Range” to be 1 in WSON-encoding (v.18) to be consistent with Generic-encoding and change the set value for this to be 0x01… in Generic Encoding (v10). Would this make you happy?
Regards,
Remi
-------- Original Message --------
Subject: [CCAMP] FW: I-D Action: draft-ietf-ccamp-general-constraint-encode-09.txt
From: Leeyoung <[email-masked]><mailto:[email-masked]>
To: CCAMP <[email-masked]><mailto:[email-masked]>
Date: 27/09/2012 18:58

Hi

Thanks.

Young

-----Original Message-----

                          Young Lee

                          Dan Li

                          Wataru Imajuku

  Pages           : 31

  Date            : 2012-09-27

Abstract:

CCAMP mailing list

CCAMP mailing list

.